RESVG(1)

NAME
resvg - resvg is an SVG rendering application.

DESCRIPTION
resvg is an SVG rendering application.

  USAGE:

resvg [OPTIONS] <in-svg> <out-png>
    # from file to file

resvg [OPTIONS] <in-svg> -c
    # from file to stdout

resvg [OPTIONS] - <out-png>
    # from stdin to file

resvg [OPTIONS] - -c
    # from stdin to stdout

    resvg in.svg out.png resvg -z 4 in.svg out.png resvg --query-all in.svg

  OPTIONS:

--help
    Prints this help

-V, --version
    Prints version

-c  Prints the output PNG to the stdout

-w, --width LENGTH
    Sets the width in pixels

-h, --height LENGTH
    Sets the height in pixels

-z, --zoom FACTOR
    Zooms the image by a factor

--dpi DPI
    Sets the resolution [default: 96] [possible values: 10..4000 (inclusive)]

--background COLOR
    Sets the background color Examples: red, #fff, #fff000

--stylesheet PATH
    Inject a stylesheet that should be used when resolving CSS attributes.

--languages LANG
    Sets a comma-separated list of languages that will be used during the 'systemLanguage' attribute resolving Examples: 'en-US', 'en-US, ru-RU', 'en, ru' [default: en]

--shape-rendering HINT
    Selects the default shape rendering method [default: geometricPrecision] [possible values: optimizeSpeed, crispEdges, geometricPrecision]

--text-rendering HINT
    Selects the default text rendering method [default: optimizeLegibility] [possible values: optimizeSpeed, optimizeLegibility, geometricPrecision]

--image-rendering HINT
    Selects the default image rendering method [default: optimizeQuality] [possible values: optimizeQuality, optimizeSpeed]

--resources-dir DIR
    Sets a directory that will be used during relative paths resolving. Expected to be the same as the directory that contains the SVG file, but can be set to any. [default: input file directory]

--font-family FAMILY
    Sets the default font family that will be used when no 'font-family' is present [default: Times New Roman]

--font-size SIZE
    Sets the default font size that will be used when no 'font-size' is present [default: 12] [possible values: 1..192 (inclusive)]

--serif-family FAMILY
    Sets the 'serif' font family [default: Times New Roman]

--sans-serif-family FAMILY
    Sets the 'sans-serif' font family [default: Arial]

--cursive-family FAMILY
    Sets the 'cursive' font family [default: Comic Sans MS]

--fantasy-family FAMILY
    Sets the 'fantasy' font family [default: Impact]

--monospace-family FAMILY
    Sets the 'monospace' font family [default: Courier New]

--use-font-file PATH
    Load a specified font file into the fonts database. Will be used during text to path conversion. This option can be set multiple times

--use-fonts-dir PATH
    Loads all fonts from the specified directory into the fonts database. Will be used during text to path conversion. This option can be set multiple times

--skip-system-fonts
    Disables system fonts loading. You should add some fonts manually using --use-font-file and/or --use-fonts-dir Otherwise, text elements will not be processes

--list-fonts
    Lists successfully loaded font faces. Useful for debugging

--query-all
    Queries all valid SVG ids with bounding boxes

--export-id ID
    Renders an object only with a specified ID

--export-area-page
    Use an image size instead of an object size during ID exporting

--export-area-drawing
    Use drawing's tight bounding box instead of image size. Used during normal rendering and not during --export-id

--perf
    Prints performance stats

--quiet
    Disables warnings

  ARGS:

<in-svg>
    Input file

<out-png>
    Output file